commit:     93310947230b265b694b6f38f9e622a5e68ee16a
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 22 00:34:34 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Nov 22 00:34:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93310947

net-firewall/ipset: bump to v7.9

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-firewall/ipset/Manifest         |   1 +
 net-firewall/ipset/ipset-7.9.ebuild | 111 ++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/net-firewall/ipset/Manifest b/net-firewall/ipset/Manifest
index c4ce8dc3615..1ac9213bd43 100644
--- a/net-firewall/ipset/Manifest
+++ b/net-firewall/ipset/Manifest
@@ -3,3 +3,4 @@ DIST ipset-6.38.tar.bz2 545568 BLAKE2B 
14e526ba40f4912cd78d81831d072f9c9c159ac14
 DIST ipset-7.5.tar.bz2 675179 BLAKE2B 
04d207c4eaed66bf295ebd31a66d4423e68ed7918ef4e7d0b08e7e178216a016e6d454ed4c0f915d36d6266a74ea08c33db69481bf288c6fe7a1cd00c3ed68e5
 SHA512 
97e2a42bb33dfd2d9c5d258595e4be670d961ce3f5fa537ffb32b748168324f4e572047f026096c142e3a1f5a88caa26da455cbc067121dc9140f79321f272aa
 DIST ipset-7.6.tar.bz2 676777 BLAKE2B 
98b4a0094e4e44dfc8702ad4e61ce3c62de74964afc16ae91d107599fab7f978071693b6e6f57969c35a3dd381fac5b58610fd74a107eebd8af1f8644d819061
 SHA512 
c4d9c65895335dec8f855fca6c940d2ee19e7b8d2292325778a1608e795e2e35caa787cbcdeb8e2877f3695c641ac348b23ac43f73bdc1a8242e8d04f4944084
 DIST ipset-7.7.tar.bz2 678424 BLAKE2B 
330eb82ee3cff8a2b09704e6f90a4a1376f6154753a8e386f52ee934b7e1b402d8b9293962563d50501f31540d651374d7899961739bef50ee2f3096fd1b0bfd
 SHA512 
1c8f969eb402ae56eb4c747d89eb5dcbf068004c3c0ae171eb4eddd948f7d8dd14d6e3dc8b713d2909f220359e6760fce3848a4e12f59a575b747f6c38ad80db
+DIST ipset-7.9.tar.bz2 679273 BLAKE2B 
0e6d216be5c1f51598f74cce8b1166168644152924354d777fc4a0b5433d68d5e04925bf2c88d4a6abf86d7f707795c3f828bf7d00e6a034326c4c3131768f0a
 SHA512 
53d52aa9c0aba728fd620a7b9e232e5366fa45322d3d23150192b53e311877c61175577b6a0fbde95eaa1fb12deca3251a682fd74c3443558e34a1fe2247309e

diff --git a/net-firewall/ipset/ipset-7.9.ebuild 
b/net-firewall/ipset/ipset-7.9.ebuild
new file mode 100644
index 00000000000..b0de78dae51
--- /dev/null
+++ b/net-firewall/ipset/ipset-7.9.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+MODULES_OPTIONAL_USE=modules
+inherit autotools linux-info linux-mod systemd
+
+DESCRIPTION="IPset tool for iptables, successor to ippool"
+HOMEPAGE="http://ipset.netfilter.org/";
+SRC_URI="http://ipset.netfilter.org/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+BDEPEND="virtual/pkgconfig"
+
+RDEPEND=">=net-firewall/iptables-1.4.7
+       net-libs/libmnl"
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog INSTALL README UPGRADE )
+
+PATCHES=( "${FILESDIR}"/${PN}-7.4-fix-pkgconfig-dir.patch )
+
+# configurable from outside, e.g. /etc/portage/make.conf
+IP_NF_SET_MAX=${IP_NF_SET_MAX:-256}
+
+BUILD_TARGETS="modules"
+MODULE_NAMES_ARG="kernel/net/netfilter/ipset/:${S}/kernel/net/netfilter/ipset"
+MODULE_NAMES="xt_set(kernel/net/netfilter/ipset/:${S}/kernel/net/netfilter/)"
+for i in 
ip_set{,_bitmap_{ip{,mac},port},_hash_{ip{,port{,ip,net}},net{,port{,net},iface,net}},_list_set};
 do
+       MODULE_NAMES+=" ${i}(${MODULE_NAMES_ARG})"
+done
+
+pkg_setup() {
+       get_version
+       CONFIG_CHECK="NETFILTER"
+       ERROR_NETFILTER="ipset requires NETFILTER support in your kernel."
+       # It does still build without NET_NS, but it may be needed in future.
+       #CONFIG_CHECK="${CONFIG_CHECK} NET_NS"
+       #ERROR_NET_NS="ipset requires NET_NS (network namespace) support in 
your kernel."
+       CONFIG_CHECK+=" !PAX_CONSTIFY_PLUGIN"
+       ERROR_PAX_CONSTIFY_PLUGIN="ipset contains constified variables 
(#614896)"
+
+       build_modules=0
+       if use modules; then
+               if linux_config_src_exists && linux_chkconfig_builtin "MODULES" 
; then
+                       if linux_chkconfig_present "IP_NF_SET" || \
+                               linux_chkconfig_present "IP_SET"; then #274577
+                               eerror "There is IP{,_NF}_SET or 
NETFILTER_XT_SET support in your kernel."
+                               eerror "Please either build ipset with modules 
USE flag disabled"
+                               eerror "or rebuild kernel without IP_SET 
support and make sure"
+                               eerror "there is NO kernel ip_set* modules in 
/lib/modules/<your_kernel>/... ."
+                               die "USE=modules and in-kernel ipset support 
detected."
+                       else
+                               einfo "Modular kernel detected. Gonna build 
kernel modules..."
+                               build_modules=1
+                       fi
+               else
+                       eerror "Nonmodular kernel detected, but USE=modules. 
Either build"
+                       eerror "modular kernel (without IP_SET) or disable 
USE=modules"
+                       die "Nonmodular kernel detected, will not build kernel 
modules"
+               fi
+       fi
+       [[ ${build_modules} -eq 1 ]] && linux-mod_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_with modules kmod) \
+               --disable-static \
+               --with-maxsets=${IP_NF_SET_MAX} \
+               --libdir="${EPREFIX}/$(get_libdir)" \
+               --with-ksource="${KV_DIR}" \
+               --with-kbuild="${KV_OUT_DIR}"
+}
+
+src_compile() {
+       einfo "Building userspace"
+       emake
+
+       if [[ ${build_modules} -eq 1 ]]; then
+               einfo "Building kernel modules"
+               set_arch_to_kernel
+               emake modules
+       fi
+}
+
+src_install() {
+       einfo "Installing userspace"
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+
+       newinitd "${FILESDIR}"/ipset.initd-r4 ${PN}
+       newconfd "${FILESDIR}"/ipset.confd ${PN}
+       systemd_newunit "${FILESDIR}"/ipset.systemd ${PN}.service
+       keepdir /var/lib/ipset
+
+       if [[ ${build_modules} -eq 1 ]]; then
+               einfo "Installing kernel modules"
+               linux-mod_src_install
+       fi
+}

Reply via email to